Package org.jcsp.util.filter

# Interface FilteredOne2OneChannel

All Superinterfaces:
  `One2OneChannel`

public interface FilteredOne2OneChannel extends One2OneChannel
Interface for a `One2One` channel that supports filtering operations at each end.

Author:
  Quickstone Technologies Limited
See Also:
  - `One2OneChannel`
  - `ReadFiltered`
  - `WriteFiltered`

## Method Summary

Modifier and Type
Method
Description
`ReadFiltered`
`inFilter()`
Returns the control interface for configuring the read filters on the channel.
`WriteFiltered`
`outFilter()`
Returns the control interface for configuring the write filters on the channel.

### Methods inherited from interface org.jcsp.lang.One2OneChannel

`in, out`

## Method Details

### inFilter

ReadFiltered inFilter()
Returns the control interface for configuring the read filters on the channel.

### outFilter

WriteFiltered outFilter()
Returns the control interface for configuring the write filters on the channel.